import request from '@/utils/request'
import url from 'postcss-url'

export function getInspectionMajor(params) {
  return request({
    url: '/com/api/getinspectionmajor',
    method: 'get',
    params: params
  })
}

export function getInspectionMinor(id, params) {
  return request({
    url: '/com/api/getinspectionminor?id=' + id,
    method: 'get',
    params: params
  })
}

export function getInspectionRange(id, params) {
  return request({
    url: '/com/api/getinspectionrange?id=' + id,
    method: 'get',
    params: params
  })
}

export function saveConfiguration(data) {
  console.log('data', data)
  return request({
    url: '/com/api/saveconfiguration',
    method: 'post',
    data: data
  })
}

export function getConfigurationList(limit, page) {
  const params = {
    limit: limit,
    page: page
  }
  return request({
    url: 'com/api/getconfigurationlist',
    method: 'get',
    params: params
  })
}

export function getConfigurationDetail(id, params) {
  return request({
    url: 'com/api/getconfigurationdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function getAllInspectionMinor(params) {
  return request({
    url: 'com/api/getallinspectionminor',
    method: 'get',
    params: params
  })
}

export function UpdateConfiguration(id, data) {
  console.log('data', data)
  return request({
    url: 'com/api/updateconfiguration?id=' + id,
    method: 'post',
    data: data
  })
}

export function DeleteConfiguration(id, params) {
  return request({
    url: 'com/api/deleteconfiguration?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getAllInspectionData(params) {
  return request({
    url: 'com/api/getallinspectiondata',
    method: 'get',
    params: params
  })
}

export function SaveCheckConfiguration(data) {
  console.log('data', data)
  return request({
    url: '/com/api/savecheckconfiguration',
    method: 'post',
    data: data
  })
}

export function getAllCheckList(page, limit) {
  const params = {
    page: page,
    limit: limit
  }
  return request({
    url: '/com/api/getallchecklist',
    method: 'get',
    params: params
  })
}

export function getCheckDetail(id, params) {
  return request({
    url: '/com/api/getcheckdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function UpdateCheck(id, data) {
  return request({
    url: '/com/api/updatecheck?id=' + id,
    method: 'post',
    data: data
  })
}

export function DeleteCheck(id, params) {
  return request({
    url: '/com/api/deletecheck?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getDialysisModeType(startime, endtime) {
  const params = {
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/com/api/getdialysismodetype',
    method: 'get',
    params: params
  })
}
